#!/bin/bash

set -euo pipefail

sudo apt install -y unattended-upgrades apt-listchanges

sudo -u root -s

echo "/etc/apt/apt.conf.d/50unattended-upgrades:"
cat /etc/apt/apt.conf.d/50unattended-upgrades

read -p "Unattended update mail address: " mail
echo "Unattended-Upgrade::Mail \"$mail\";" >> /etc/apt/apt.conf.d/52unattended-upgrades-local
echo "Unattended-Upgrade::MailReport \"always\";" >> /etc/apt/apt.conf.d/52unattended-upgrades-local

echo "/etc/apt/apt.conf.d/52unattended-upgrades-local:"
cat /etc/apt/apt.conf.d/52unattended-upgrades-local

echo "/etc/apt/apt.conf.d/20auto-upgrades:"
cat /etc/apt/apt.conf.d/20auto-upgrades

read -p "Config good? [y/N]: " prompt
if [[ $prompt == "y" ]]; then
    echo unattended-upgrades unattended-upgrades/enable_auto_updates boolean true | debconf-set-selections
    dpkg-reconfigure -f noninteractive unattended-upgrades
fi

exit

